window.ANDROID_HELPERS = 
{
	init: function()
	{
		if ( window.jQuery == null )
		{
			alert( 'jQuery is required.' );
			return;
		}

		ANDROID_HELPERS.initForms();
		ANDROID_HELPERS.initVimeos();
		ANDROID_HELPERS.initYoutubes();
	},

	initForms: function()
	{
		jQuery( 'form' ).submit( ANDROID_HELPERS.onFormSubmit );
	    jQuery( 'input' ).each( function()
		{
	    	switch ( jQuery( this ).attr( 'type' ).toLowerCase() )
	    	{
		    	case 'button':
		    		jQuery( this ).click( ANDROID_HELPERS.onFormSubmit )
		    		break;
		    	case 'file':
		    		jQuery( this ).change( function() 
					{ 
		    			jQuery( '#file' + jQuery( this ).attr( 'id' ) )
		    				.val( jQuery( this ).val() ); 
	    			});
		    		break;
	    	}
		});
	},
	
	initYoutubes: function()
	{
		jQuery( 'iframe[src*=youtube.com]' )
			.css( 'visibility', 'hidden' )
			.each( function()
			{
				var url = jQuery( this ).attr( 'src' ).replace( '/embed/', '/watch?v=' );
				ANDROID_HELPERS.replaceVideoElement(
					jQuery( this ),
					url,
					'youtube-img',
					'http://i1.ytimg.com/vi/' + url.split( '/watch?v=' )[ 1 ] + '/hqdefault.jpg'
				);
			});
	},
	
	initVimeos: function()
	{
		jQuery( 'iframe[src*=vimeo.com]' )
			.css( 'visibility', 'hidden' )
			.each( function()
			{
				ANDROID_HELPERS.replaceVideoElement(
					jQuery( this ),
					jQuery( this ).attr( 'src' ).replace( 'player.vimeo.com/video', 'vimeo.com/m' ) + '?autoplay=1',
					'vimeo-img',
					window.ANDROID.getVimeoThumbnailUrl( jQuery( this ).attr( 'src' ).replace( 'player.vimeo.com/video', 'vimeo.com/api/oembed.xml?url=http%3A//vimeo.com' ) )
				);
			});
	},
	
	

	replaceVideoElement: function( videoElement, videoUrl, cssClass, thumbnailUrl )
	{
		videoElement
			.replaceWith(
				jQuery( '<a></a>' )
					.attr( 'href', videoUrl )
					.attr( 'class', cssClass )
					.css( 'display', 'inline-block' )
					.css( 'margin', '0 auto' )
					.css( 'position', 'relative' )
					.append( 
						jQuery( '<span></span>' )
							.css( 'display', 'block' )
							.css( 'background', 'url(file:///android_asset/play.png) center no-repeat' )
							.css( 'position', 'absolute' )
							.css( 'left', '0' )
							.css( 'top', '0' )
							.css( 'right', '0' )
							.css( 'bottom', '0' )
							.css( 'min-height', '128px' )
							.css( 'min-width', '128px' )
							.css( 'z-index', '1000;' )
					)
					.append( 
						jQuery( '<img>' )
							.css( 'width', '100%' )
							.css( 'min-height', '180px' )
							.attr( 'src', thumbnailUrl )
					)
		);
	},
	
	

	onFormSubmit: function( evt )
	{
		var formEl = jQuery( this ).get( 0 );
		if ( this.tagName.toLowerCase() != 'form' )
			formEl = this.form;
		formEl = jQuery( formEl );
		
		var data = '';
		if ( !formEl.attr( 'method' ) ) formEl.attr( 'method', 'get' );
		data += 'method=' + formEl.attr( 'method' );
		data += '&action=' + formEl.attr( 'action' );        
		
		formEl.find( 'input' ).each( function()
		{
			switch ( jQuery( this ).attr( 'type' ).toLowerCase() )
			{
				case 'submit':
				case 'reset':
				case 'button':
					break;
					
				default:
					data += '&' + jQuery( this ).attr( 'name' ) + '=' + jQuery( this ).attr( 'value' );
					break;
			}
		});

		window.ANDROID.processFormData( data );
	}
}



window.onload = function()
{
	ANDROID_HELPERS.init();
}